## fuse 2.7.2-1maemo6

=== debian/changelog ===
fuse (2.7.2-1maemo6) chinook; urgency=low

  * Changed dh_installinit runlevels in debian/rules 

 -- Maemo Integration <integration@maemo.org>  Wed, 02 Apr 2008 16:18:52 +0300

fuse (2.7.2-1maemo5) chinook; urgency=low

  * Changed packaging, removed fuse-utils from kernel modules depends

 -- Maemo Integration <integration@maemo.org>  Mon, 10 Mar 2008 16:32:13 +0200

fuse (2.7.2-1maemo4) chinook; urgency=low

  * Modified fuse-utils init script to work on busybox grep

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 17:15:47 +0200

fuse (2.7.2-1maemo3) chinook; urgency=low

  * Removed loading /lib/init/vars.sh in fuse-utils postinst script

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 16:19:42 +0200

fuse (2.7.2-1maemo2) chinook; urgency=low

  * Added fuse-modules-rx-34 package

 -- Maemo Integration <integration@maemo.org>  Thu,  6 Mar 2008 15:20:19 +0200

fuse (2.7.2-1maemo1) chinook; urgency=low

  * Added PROG_MOUNT and PROG_UMOUNT to call other mount and umount
    binaries than "/bin/mount" and "/bin/umount"
  * Removed Build-Depends to selinux to make this work on maemo chinook
  * Simplified postinst script

 -- Maemo Integration <integration@maemo.org>  Wed, 05 Mar 2008 17:43:59 +0200

fuse (2.7.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3.
  * Drop 002-Fix_umounting_when_mtab_is_a_symlink patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 05 Jan 2008 02:35:33 +0100

fuse (2.7.1-2) unstable; urgency=low

  * Add 002-Fix_umounting_when_mtab_is_a_symlink patch (Closes: #448855). 

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 23 Nov 2007 15:27:17 +0100

fuse (2.7.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/copyright: library is LGPL v2 only.
  * Use new dpkg 'homepage' field.
  * Do not ignore make distclean error anymore.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 28 Oct 2007 12:25:18 +0100

fuse (2.7.0-3) unstable; urgency=low

  * Really fix issues when upgrading /usr/share/doc/fuse-utils to a symlink (Closes: #445414).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 13 Oct 2007 21:23:14 +0200

fuse (2.7.0-2) unstable; urgency=low

  * Do not include dpatch.make in fuse-source rules (Closes: #443702).
  * Drop ucf dependency, useless (Closes: #439079).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 01 Oct 2007 19:22:53 +0200

fuse (2.7.0-1) unstable; urgency=low

  * New upstream release:
    - Build against 2.6.22 linux kernel (Closes: #434327).
  * Build depends on libselinux1-dev | libselinux-dev, libfuse-dev depends on it too (Closes: #434225).
  * Umount all fuse mouted filesystems before unloading kernel module (Closes: #411143), thanks to Javier Merino for his patch.
  * Improve NEWS.Debian (Closes: #433927), thanks to Tomas Pospisek for fixing my crap english.
  * Capitalize 'Linux' in long description (Closes: #434109).
  * Drop 002-Allow_standalone_examples_build and 003-Typo_in_fuse.h_comments, fixed upstream.
  * Drop 001-Fix_bashism_in_mount.fuse, mount.fuse is not a bash script anymore.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 24 Jul 2007 10:26:13 +0200

fuse (2.6.5-3) unstable; urgency=low

  * Fix typo in fuse-source package.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 30 Jun 2007 12:16:19 +0200

fuse (2.6.5-2) unstable; urgency=low

  * The 'RE-INTRODUCE FUSE-SOURCE' release.
    - Build fuse-source package again (Closes: #414499).
  * Fix bashism in mount.fuse (Closes: #424435).
  * Improve example Makefile.
  * Fixe typo in fuse.h comments (Closes: #424871).
  * Remove 'doc' directory of < 2.6.5-1 fuse-utils package (replaced by symlink) (Closes: #429424).
  * Install sample fuse.conf in /etc (Closes: #429666).
  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 17 May 2007 12:56:42 +0200

fuse (2.6.5-1) unstable; urgency=low

  * New upstream release :
    - Drop 001-Fix_bashism_in_mount.fuse patch, fixed upstream.
    - Drop 002-Handle_spaces_in_paths patch, fixed upstream.
    - Drop 003-Mount-fusectl_fs_with_fusectl_type, fixed upstream.
  * Make debian/rules more 'human redable'.
  * Rewrite docs handling.
  * Add all missing files to libfuse-dev's examples.
    Write a standalone Makefile (Closes: #382316, #423237).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 02 May 2007 09:21:21 +0200

fuse (2.6.3-4) unstable; urgency=low

  * Update fuse init script to REALLY mount fusectl filesystem with fusectl
    type (Closes: #417945).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 20 Apr 2007 08:53:02 +0200

fuse (2.6.3-3) unstable; urgency=low

  * Skip preinst if there's no previous installed version (Closes: #417640).
  * Handle spaces in paths (Closes: #417834).
  * Mount fusectl filesystem with fusectl type (Closes: #417945).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Apr 2007 21:06:39 +0200

fuse (2.6.3-2) unstable; urgency=low

  * The 'BUGFIX' release.
  * Fix preinst script :
    - dpkg-statoverride --list is not fatal anymore.
    - Use dpkg --compare-version to define if override should be removed.
  * Fix postrm script to handle 'abort-upgrade' (Closes: #413799).
  * Make debian/rules look better (drop arch-indep stuff).
  * Handle patches with a patch system (dpatch).
  * Do not remove init_script from source tree (makes re-build fail).
  * Fix init script installation, wrong runlevels, wrong name.
  * Fix bashism in mount.fuse (Closes: #413403).
  * Change fuse node group with chgrp if udev is not present (Closes: #413437).
  * Write a new init script, lsb-compliant (Closes: #413394).
  * Bump compat to 5.
  * Improve control:
    - Two space before homepage,
    - Drop versionned suggests,
    - Switch to ${binary:Version},
    - Add ${misc:Depends}.
  * Remove fuse-utils.postrm (noop).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu,  8 Mar 2007 22:10:31 +0100


