=== debian/control ===
Source: fuse
Section: libs
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, kernel-source-diablo
Homepage: http://fuse.sourceforge.net/
Standards-Version: 3.7.3

Package: fuse-utils
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), fuse-modules, makedev (>= 2.3.1-80) | udev
Architecture: armel
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
 .
 This utility is setuid by default. Use dpkg-statoverride if you want
 to change that.

Package: libfuse-dev
Section: libdevel
Architecture: armel
Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}
Suggests: fuse-utils
Description: Filesystem in USErspace (development files)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: libfuse2
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fuse-utils (<< ${binary:Version})
Suggests: fuse-utils
Description: Filesystem in USErspace library
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: fuse-modules-rx-34
Architecture: armel
Provides: fuse-modules
Description: Filesystem in USErspace kernel module for rx-34
 Simple interface for userspace programs to export a virtual filesystem to
 the linux kernel.
 .
 This package contains the compiled kernel modules for rx-34 hardware
 .
 If you have compiled your own kernel, you will most likely need to build
 your own fuse-modules. The fuse-source package has been provided for use
 with the Debian's module-assistant or kernel-package utilities to produce a
 version of fuse-modules for your kernel.
 .
 Please notice thant fuse is already available in current 2.6 Linux kernel.
 However you may need a newer version than the one shipped with your kernel.
 .
 Homepage: http://fuse.sourceforge.net/
