## fuse 2.7.2-1maemo7

=== debian/changelog ===
fuse (2.7.2-1maemo7) diablo; urgency=low

  * Removed mount-full dependence.

 -- Maemo Integration <integration@maemo.org>  Tue, 20 Jan 2009 03:47:54 -0800
