## fuse 2.7.2-1maemo8

=== fuse/Makefile ===
# Makefile.in for kernel module

SHELL = /bin/sh
INSTALL = /scratchbox/tools/bin/install -c
mkdir_p = mkdir -p
VERSION = 2.7.2

DISTFILES = Makefile.in configure.ac configure config.h.in ../install-sh \
	dev.c dir.c file.c inode.c fuse_i.h fuse_kernel.h control.c

fusemoduledir = /lib/modules/2.6.21-omap1/kernel/fs/fuse

fusemodule := fuse.ko

all: all-y
install: install-y
uninstall: uninstall-y

all-n:
install-n:
uninstall-n:

all-y: all-spec

install-y: all
	$(mkdir_p) $(DESTDIR)$(fusemoduledir)
	$(INSTALL) -m 644 $(fusemodule) $(DESTDIR)$(fusemoduledir)/$(fusemodule)
	-/sbin/depmod -a

uninstall-y:
	rm -f $(DESTDIR)$(fusemoduledir)/$(fusemodule)
	-/sbin/depmod -a

clean:
	-rm -f $(fusemodule) *.o .*.cmd *.mod.c *.ko *.s */*.o

distclean: clean
	rm -f Makefile
	rm -f config.h config.log config.status config.cache
	rm -rf .tmp_versions

maintainer-clean: distclean

distdir: $(DISTFILES)
	cp -p $(DISTFILES) $(distdir)

EXTRA_CFLAGS += -DFUSE_VERSION=\"$(VERSION)\"

obj-m := fuse.o
fuse-objs := dev.o dir.o file.o inode.o control.o

all-spec:
	$(MAKE) -C ../../kernel-source-rx-34-2.6.21.0 SUBDIRS=`pwd`  modules
