=== debian/changelog ===
fuse (2.7.2-1maemo8) diablo; urgency=low

  * Small fixes to run on fremantle 

 -- Walter <walter.guerra@signove.com>  Thu,  4 Jun 2009 09:25:15 -0400
