=== fuse/debian/control ===
Source: fuse
Section: libs
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2
Homepage: http://fuse.sourceforge.net/
Standards-Version: 3.7.3

Package: fuse-utils
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), makedev (>= 2.3.1-80) | udev
Architecture: any
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
 .
 This utility is setuid by default. Use dpkg-statoverride if you want
 to change that.

Package: libfuse-dev
Section: libdevel
Architecture: any
Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}
Suggests: fuse-utils
Description: Filesystem in USErspace (development files)
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: libfuse2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: fuse-utils (<< ${binary:Version})
Suggests: fuse-utils
Description: Filesystem in USErspace library
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package contains the files necessary to write applications in C
 or C++ using fuse.

Package: fuse-source
Architecture: all
Depends: module-assistant, debhelper (>= 5), make, bzip2
Description: Source for the Fuse kernel module
 Simple interface for userspace programs to export a virtual
 filesystem to the Linux kernel.
 .
 This package provides the source code for the Fuse kernel modules.
 Kernel source or headers >= 2.6.9 are required to compile these modules.
