=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # Some variables I'll use below
 DESTDIR	 = $(CURDIR)/debian/tmp
 KDESTDIR = $(CURDIR)/debian/fuse-source
-KMODDIR = $(CURDIR)/debian/fuse-modules-rx-34
+#KMODDIR = $(CURDIR)/debian/fuse-modules-rx-34
 DOCS	 = Filesystems FAQ NEWS README README.NFS doc/* debian/README.Debian debian/NEWS.Debian
-KSRC = ../kernel-source-diablo
+KHEADERS = /usr/src/kernel-headers/
 
 # Module-assistant stuff
 PACKAGE = fuse-modules
@@ -37,17 +37,16 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	tar xvjf /usr/src/kernel-source-diablo.tar.bz2
-	cd kernel-source-diablo && make nokia_2420_defconfig && make
+#	tar xvjf /usr/src/kernel-source-diablo.tar.bz2
+#	cd kernel-source-diablo && make nokia_2420_defconfig && make
 	CFLAGS="$(CFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 	            --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
 		    --mandir=\$${prefix}/share/man \
 		    --infodir=\$${prefix}/share/info \
-		    --enable-kernel-module \
 		    --disable-example \
-		    --with-kernel=$(KSRC)
+		    --with-kernel=$(KHEADERS)
 
 # Modass targets
 kdist_configure: prep-deb-files
@@ -56,9 +55,9 @@
 binary-modules: prep-deb-files
 	dh_testroot
 	dh_clean -k
-	./configure --enable-kernel-module --with-kernel=$(KSRC)
+	./configure --enable-kernel-module --with-kernel=$(KHEADERS)
 	$(MAKE)
-	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
+#	install -D -m0644 fuse.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/fuse/fuse.ko
 	dh_installchangelogs ChangeLog
 	dh_installdocs $(DOCS)
 	dh_installmodules
@@ -85,7 +84,7 @@
 	rm -f build-stamp config.log
 	[ ! -f example/Makefile ] || $(MAKE) distclean -C example
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -fr kernel-source-diablo
+#	rm -fr kernel-source-diablo
 	dh_clean config.guess config.sub
 
 install-arch:
@@ -128,8 +127,8 @@
 		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
 		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
 	done
-	mkdir -p debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra
-	install kernel/fuse.ko debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra/
+#	mkdir -p debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra
+#	install kernel/fuse.ko debian/fuse-modules-rx-34/lib/modules/2.6.21-omap1/extra/
 	dh_installman -s -pfuse-utils debian/fusermount.1
 	dh_link -s
 	dh_strip -s
