## fuse 2.7.2-1maemo9

=== debian/changelog ===
fuse (2.7.2-1maemo9) fremantle; urgency=low

  * Changes to load fuse module at boot time on fremantle

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Wed, 30 Sep 2009 10:34:54 -0300
