=== debian/watch ===
version=3
http://sf.net/fuse/fuse-([0-9\.]+)\.tar\.gz
