## fuse 2.7.2-1maemo10

=== debian/changelog ===
fuse (2.7.2-1maemo10) fremantle; urgency=low

  * Version increased to compile with new fremantle SDK (autobuilder) 

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Wed, 18 Nov 2009 18:02:08 -0300
