## fuse 2.8.5

=== debian/changelog ===
fuse (2.8.5-5) unstable; urgency=low

  * Adding initramfs-tools integration (Closes: #505691).
  * Using linux-any in build-depends rather than negatively listing
    kfreebsd (Closes: #634321).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 20:30:29 +0200

fuse (2.8.5-4) unstable; urgency=low

  * Updating udev check in postinst to also look for /run (Closes:
    #628050).
  * Releasing debian version 2.8.5-3.
  * Adding depends to mount to ensure new enough util-linux is being
    used (Closes: #628735, #630237).
  * Adding reference for fuse in fusermount manpage (Closes: #629897).
  * Adding a conflict against loop-aes-utils (Closes: #631454).
  * Updating todo file.
  * Removing obsolete --disable-kernel-module from configure call.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:07:36 +0200

fuse (2.8.5-3) unstable; urgency=low

  * Updating udev check in postinst to also look for /run (Closes:
    #628050).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 03 Jun 2011 10:17:31 +0200

fuse (2.8.5-2) unstable; urgency=low

  * Correcting filename of the last patch for CVE 2011-0543.
  * Adding fuse(5) manpage from Bastien Roucaries
    <roucaries.bastien@gmail.com> (Closes: #510463).
  * Override dh_compress to not compress examples.
  * Adding patch to not exclude fioc.h from examples (Closes: #626522).
  * Removing old fuse-utils.preinst script.
  * Avoid running initscript to unload kernel modules on shutdown
    (Closes: #584710).
  * Renaming fuse-utils* packages to simply fuse*. Renaming at this
    point is not a problem since d-i doesn't already use the fuse udebs
    just yet.
  * Sorting depends.
  * Updating source section.
  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 May 2011 14:47:38 +0200

fuse (2.8.5-1) experimental; urgency=low

  * Merging upstream version 2.8.5 (Closes: #585875).
  * Removing useless whitespaces at EOL and EOF.
  * Switching to source format 3.0 (quilt).
  * Rediffing Build_system_do_not_install_init_script (dpatch) as
    initscript.patch (quilt).
  * Rediffing GNU_kFreeBSD (dpatch) as kfreebsd.patch (quilt).
  * Removing Missing_pthread_link_on_libulockmgr, included upstream.
  * Removing CVE-2009-3297.dpatch, included upstream.
  * Adding patch from upstream to fix arbitrary unprivileged unmount
    [CVE 2010-3879].
  * Adding patch from upstream to fix cleanup in case of failed mount
    [CVE 2011-0541].
  * Adding patch from upstream to chdir to / before performing
    mount/umount [CVE 2011-0542].
  * Adding patch from upstream to only allow mount and umount if util-
    linux suppports --no-canonicalize [CVE 2011-0542].
  * Rename examples directory for libfuse-dev to more common name
    (within debian directory).
  * Moving manpage to subdirectory (within debian directory).
  * Moving configfile to subdirectory (within debian directory).
  * Removing watch file.
  * Removing leftovers from fuse-source.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Decrufting, sorting and wrapping build-depends.
  * Sorting source fields.
  * Decrufting and sorting depends.
  * Sorting binary fields.
  * Updating udev rule, thanks to Marco d'Itri <md@linux.it> (Closes:
    #584709).
  * Sorting packages.
  * Updating package short and long descriptions.
  * Minimizing rules file.
  * Dropping la files (Closes: #621309).
  * Adding todo file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 26 May 2011 11:01:16 +0200

fuse (2.8.4-2) unstable; urgency=low

  * Taking over package from Bartosz and Adam with thanks for their past
    contributions, both of them are MIA.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 May 2011 20:04:54 +0200

fuse (2.8.4-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Only build fuse-utils-udeb on Linux architectures.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2011 13:00:49 +0100

fuse (2.8.4-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Create libfuse2-udeb and fuse-utils-udeb (closes: #505697).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Apr 2011 14:27:06 +0100

fuse (2.8.4-1.3) unstable; urgency=low

  * Non-maintainer upload to fix a regression introduced in the previous
    NMU.
  * Use "Architecture: linux-any" for fuse-utils instead of a long list
    of architectures. This fixes sparc64 support.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Mar 2011 17:04:33 +0100

fuse (2.8.4-1.2) unstable; urgency=low

  * NMU, added armhf in arch list. (Closes: #596952)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 12:42:25 +0000

fuse (2.8.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update and re-enenable 001-GNU_kFreeBSD patch to fix FTBFS on
    GNU/kFreeBSD. (Closes: #590274)
    Updated patch by Petr Salinger, thanks.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Sep 2010 22:11:07 +0200

fuse (2.8.4-1) unstable; urgency=low

  * New upstream version.
    - ACK previous non-maintainer upload (559478)
    - fixes problems with gvfs (585648)
  * Added sparc64 to supported archs (560987)

 -- Bartosz Fenski <fenio@debian.org>  Mon, 19 Jul 2010 18:57:27 +0200

fuse (2.8.1-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-3297: race condition in fusermount (Closes: #567633)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 31 Jan 2010 22:23:35 +0100

fuse (2.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD (Closes:
    #552600)
  * Apply patch from Vagrant Cascadian to run MAKEDEV only if found
    (Closes: #550334, #553015)
  * Invoke dh_makeshlibs with an appropriately strict dependency
    (Closes: #557143)

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Dec 2009 17:24:05 +0000

fuse (2.8.1-1) unstable; urgency=low


