=== debian/control ===
Source: fuse
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8), autotools-dev, libselinux-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://fuse.sourceforge.net/

Package: fuse
Section: utils
Architecture: linux-any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, libfuse2 (= ${binary:Version}), adduser,
 mount (>= 2.19.1), sed (>= 4), udev | makedev
Conflicts: fuse-utils (<< 2.8.5-2~), loop-aes-utils
Replaces: fuse-utils
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: fuse-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, fuse (= ${binary:Version}) [!kfreebsd-amd64 !kfreebsd-i386],
 libfuse2 (= ${binary:Version}), libfuse-dev (= ${binary:Version})
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: fuse-utils
Section: utils
Architecture: all
Depends: ${misc:Depends}, fuse
Description: Filesystem in Userspace (transitional package)
 Package to ease upgrading from older fuse-utils packages to the new fuse
 package.
 .
 This package can be purged at anytime once the fuse package has been installed.

Package: libfuse2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fuse (<< ${binary:Version})
Suggests: fuse
Description: Filesystem in Userspace (library)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the shared library.

Package: libfuse-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, libfuse2 (= ${binary:Version}),
 libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386]
Suggests: fuse
Description: Filesystem in Userspace (development)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the development files.

Package: fuse-udeb
Architecture: linux-any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}, libfuse2-udeb (= ${binary:Version})
XC-Package-Type: udeb
Description: Filesystem in Userspace

Package: libfuse2-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Filesystem in Userspace (library)
